Next: , Previous: , Up: Installing GNUnet   [Contents]


1.2 Installing Build Tool Chain and Dependencies

To successfully compile GNUnet, you need the tools to build GNUnet and the required dependencies. Please take a look at the GNUnet Reference Documentation (see The GNUnet Reference Documentation in The GNUnet Reference Documentation) for a list of required dependencies and (see The GNUnet Reference Documentation in The GNUnet Reference Documentation) read its Installation chapter for specific instructions for your Operating System. Please check the notes at the end of the configure process about required dependencies.

For GNUnet bootstrapping support and the HTTP(S) plugin you should install libgnurl. For the filesharing service you should install at least one of the datastore backends (MySQL, SQlite and PostgreSQL are supported).